Summary: Tools for debuginfo creation
Name: debugedit
Version: 5.0
Release: 11%{?dist}
License: GPLv3+ and GPLv2+ and LGPLv2+
URL: https://sourceware.org/debugedit/
Source0: https://sourceware.org/pub/debugedit/%{version}/%{name}-%{version}.tar.xz
Patch3000: 0001-tests-Handle-zero-directory-entry-in-.debug_line-DWA.patch
Patch3001: 0001-debugedit-5.0-add-support-for-loongarch64.patch

BuildRequires: make gcc autoconf automake
BuildRequires: pkgconfig(libelf) pkgconfig(libdw)
BuildRequires: help2man
Requires: elfutils binutils coreutils findutils
Requires: sed dwz grep gawk xz
Requires: /usr/bin/gdb-add-index

%description
This package provides programs and scripts for creating debuginfo and source file 
distributions.It collects  build-ids and overrides source paths in DWARF data for 
debugging, tracing and analysis.

It is based on the original code originally from the rpm project plus libiberty and
binutils.It relies on the elfutils libelf and libdw libraries to read and write ELF 
files, DWARF data and build-ids.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install
cd %{buildroot}%{_bindir}
ln -s find-debuginfo find-debuginfo.sh

%check
sed -i 's/^\(C\|LD\)FLAGS=.*/\1FLAGS=""/' tests/atlocal
%ifnarch loongarch64
%make_build check
%endif

%files
%license COPYING COPYING3 COPYING.LIB
%doc README
%{_bindir}/debugedit
%{_bindir}/sepdebugcrcfix
%{_bindir}/find-debuginfo
%{_bindir}/find-debuginfo.sh
%{_mandir}/man1/debugedit.1*
%{_mandir}/man1/sepdebugcrcfix.1*
%{_mandir}/man1/find-debuginfo.1*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-11
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-10
- Rebuilt for loongarch release

* Wed Jun 12 2024 Pengda Dou <doupengda@loongson.cn> - 5.0-9
- [Type] bugfix
- [DESC] loongarch64 skip check

* Fri May 31 2024 Pengda Dou <doupengda@loongson.cn> - 5.0-8
- [Type] other
- [DESC] add support for loongarch64

* Wed Jan 17 2024 Rebuild Robot <rebot@opencloudos.org> - 5.0-7
- Rebuilt for elfutils

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-4
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 abushwang <abushwang@tencent.com> - 5.0-3
- revert "bugfix: decompress DWARF compressed ELF sections for find-debuginfo.sh"

* Wed Dec 14 2022 abushwang <abushwang@tencent.com> - 5.0-2
- bugfix: decompress DWARF compressed ELF sections for find-debuginfo.sh

* Tue Aug 16 2022 Wang Guodong <gordonwwang@tencent.com> - 5.0-1
- package init.
